# Searches for tasks using predefined parameters Searches for tasks using predefined parameters Endpoint: POST /tasks/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `name` (array) - `priority` (array) - `type_id` (array) ## Response 200 fields (application/json): - `Items` (array) - `Items.name` (array) - `Items.priority` (array) - `Items.type_id` (array) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields